﻿using SQLite;

namespace Blahblah.FlowerStory.Data.Model;

[Table("photos")]
public class PhotoItem
{
    [Column("pid"), PrimaryKey, AutoIncrement]
    public int Id { get; set; }

    [Column("fid")]
    public int FlowerId { get; set; }

    [Column("rid")]
    public int RecordId { get; set; }

    [Column("filetype")]
    public string FileType { get; set; }

    [Column("filename")]
    public string FileName { get; set; }

    [Column("path")]
    public string Path { get; set; }

    [Column("dateupload")]
    public DateTimeOffset DateUpload { get; set; }
}
